Package org.apache.groovy.groovysh.jline

# Class GroovyEngine.AccessRules

java.lang.Object
org.apache.groovy.groovysh.jline.GroovyEngine.AccessRules

Enclosing class:
  GroovyEngine

protected static class GroovyEngine.AccessRules extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final boolean`
  `allClasses`
  `protected final boolean`
  `allConstructors`
  `protected final boolean`
  `allFields`
  `protected final boolean`
  `allMethods`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AccessRules()`
  `AccessRules(Map<String,Object> options)`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### allMethods

    protected final boolean allMethods

  - ### allFields

    protected final boolean allFields

  - ### allConstructors

    protected final boolean allConstructors

  - ### allClasses

    protected final boolean allClasses

- ## Constructor Details

  - ### AccessRules

    public AccessRules()

  - ### AccessRules

    public AccessRules(Map<String,Object> options)